stages:
  - deploy_stage
  - failed_stage
  - pages_stage

image: alpine:latest # Use the latest version of Alpine Linux docker image

deploy_job:
  stage: deploy_stage

  script:
    - npm

  after_script:
    - mkdir -p /builds/curben/snyk-test/public/
    - wget https://img.shields.io/badge/pipeline-passed-success.svg -O /builds/curben/snyk-test/public/status.svg

  artifacts:
    paths:
      - public/status.svg

  only:
    - web

failed_job:
  stage: failed_stage

  script:
    # Generate failed status badge
    - echo "Failed Job"
    - mkdir -p /builds/curben/snyk-test/public/
    - wget https://img.shields.io/badge/pipeline-failed-critical.svg -O /builds/curben/snyk-test/public/status.svg

  # Run this job only when deploy_job failed
  when: on_failure

  artifacts:
    paths:
      - public/status.svg

  only:
    - web

pages:
  stage: pages_stage

  script:
    - pwd
    - echo 'Uploading artifacts...'

  artifacts:
    paths:
      - public

  only:
    - web

  when: always
